/*
 * スプライト拡大縮小回転表示
 */
void
SprRotZoomPut(int x,int y,int r,int z,int pat)
	{
	// SCTを生成する
	ASLMakeZoomRotateSprite( &src[pat], x, y, r, z, &sct );
	// SCTをテクスチャバッファにセットする
	ASLSetSpriteTable( 15, 0, 1, &sct );
	// スプライトを表示する
	ASLExecuteSprite( 15, 0, 1);
	}

/*
 * 描画後処理
 */
void
DspWait()
	{
	// 描画が終了するのを待つ
	ASLSync();
	// 表示画面を切り替える
	FarlSwapWindow();
	// 画面切り替えを待つ
	ASLWaitForSwap();
	}
